import Session from './Session';
export interface Emulation {
    name: string;
    userAgent: string;
    viewport: EmulationViewport;
}
export interface EmulationViewport {
    deviceScaleFactor: number;
    hasTouch: boolean;
    height: number;
    isLandscape: boolean;
    isMobile: boolean;
    width: number;
}
export default class EmulationManager {
    emulateViewport(client: Session, viewport: EmulationViewport): Promise<void>;
}
