/// <reference types="node" />
export interface Listener {
    emitter: NodeJS.EventEmitter;
    eventName: string;
    handler: (...args: any[]) => any;
}
export default class Helper {
    static addEventListener(emitter: NodeJS.EventEmitter, eventName: string, handler: (...args: any[]) => any): Listener;
    static evaluationString: (fun: (...args: any[]) => any, ...args: any[]) => string;
    static isString(obj: any): boolean;
    static isNumber(obj: any): boolean;
    static promisify(nodeFunction: (...args: any[]) => any): (...args: any[]) => Promise<{}>;
    static removeEventListeners(listeners: Array<Listener>): void;
    static tracePublicAPI(classType: any): void;
}
