/// <reference types="node" />
import Request from './Request';
import Session from './Session';
export default class Response {
    private client;
    private contentPromise;
    private headers;
    private ok;
    private request;
    private status;
    private url;
    constructor(client: Session, request: Request, status: number, headers: any);
    buffer(): Promise<Buffer>;
    json(): Promise<any>;
    text(): Promise<string>;
}
