import * as Protocol from '../types/tot';
import { Browser } from './Browser';
import Page from './Page';
export default class Target {
    private browser;
    private pagePromise?;
    private client?;
    initializedCallback: (value?: boolean | PromiseLike<boolean> | undefined) => void;
    initializedPromise: Promise<boolean>;
    isInitialized: boolean;
    targetInfo: Protocol.Target.TargetInfo;
    version: number;
    constructor(browser: Browser, targetInfo: Protocol.Target.TargetInfo);
    page(): Promise<Page | undefined>;
    updateTargetInfo(targetInfo: Protocol.Target.TargetInfo, targetVersion: number): Promise<void>;
}
