import Frame from './Frame';
export default class WaitTask {
    private frame;
    private pageScript;
    private resolve;
    private reject;
    private runCount;
    private terminated;
    private timeoutTimer;
    promise: Promise<{}>;
    constructor(frame: Frame, predicateBody: string, polling: string | number, timeout: number);
    private cleanup();
    rerun(): Promise<void>;
    terminate(error?: any): void;
}
