"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function isTypeRef(desc) {
    return "$ref" in desc;
}
exports.isTypeRef = isTypeRef;
function isObjectDescriptor(desc) {
    return "object" === desc.type;
}
exports.isObjectDescriptor = isObjectDescriptor;
function isArrayDescriptor(desc) {
    return "array" === desc.type;
}
exports.isArrayDescriptor = isArrayDescriptor;
function isStringDescriptor(desc) {
    return "string" === desc.type;
}
exports.isStringDescriptor = isStringDescriptor;
function isEnumDescriptor(desc) {
    return "enum" in desc;
}
exports.isEnumDescriptor = isEnumDescriptor;
function isNumberDescriptor(desc) {
    return "number" === desc.type || "integer" === desc.type;
}
exports.isNumberDescriptor = isNumberDescriptor;
