import Page from './Page';
export declare enum ETracer {
    Span = "span",
}
export declare enum ETracerEvent {
    BeforeAll = "beforeAll",
    BeforeLoad = "beforeLoad",
    DomContentEvent = "domContentEvent",
    LoadEvent = "loadEvent",
    AfterLoad = "afterLoad",
    AfterAll = "afterAll",
}
export declare type TracerMessage = {
    event: ETracerEvent | string;
};
export default class Tracer {
    private page;
    constructor(page: Page);
    prepare(): void;
    beforeLoad(): void;
    afterLoad(): void;
    dispose(): void;
}
