"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// Code.
var evaluationString = function (fun) {
    var args = [];
    for (var _i = 1; _i < arguments.length; _i++) {
        args[_i - 1] = arguments[_i];
    }
    return "(" + fun + ")(" + args.map(serializeArgument).join(',') + ")";
    function serializeArgument(arg) {
        if (Object.is(arg, undefined))
            return 'undefined';
        return JSON.stringify(arg);
    }
};
exports.default = evaluationString;
